Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.impl
Class ImageBuffered

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImage
          org.apache.xmlgraphics.image.loader.impl.ImageRendered
              org.apache.xmlgraphics.image.loader.impl.ImageBuffered

All Implemented Interfaces:
  Image

    public class ImageBuffered

extends ImageRendered

This class is an implementation of the Image interface exposing a BufferedImage.

Constructor Summary
`ImageBuffered(ImageInfo info, BufferedImage buffered, Color transparentColor)` Main constructor.

Method Summary
`BufferedImage` | `getBufferedImage()` Returns the contained BufferedImage instance.
`ImageFlavor` | `getFlavor()` Returns the flavor of the image.

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.ImageRendered
`getColorSpace, getICCProfile, getRenderedImage, getTransparentColor, isCacheable`

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImage
`getInfo, getSize, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageBuffered

    public ImageBuffered(ImageInfo info,
                         BufferedImage buffered,
                         Color transparentColor)

  Main constructor.

  Parameters:
    `info` - the image info object
    `buffered` - the BufferedImage instance
    `transparentColor` - the transparent color or null

Method Detail

### getFlavor

    public ImageFlavor getFlavor()

  Returns the flavor of the image.

  Specified by:
    `getFlavor` in interface `Image`
  Overrides:
    `getFlavor` in class `ImageRendered`
  Returns:
    the image flavor

### getBufferedImage

    public BufferedImage getBufferedImage()

  Returns the contained BufferedImage instance.

  Returns:
    the BufferedImage instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.